BDU:2019-03225: Уязвимость процедуры .pdf_hook_DSC_Creator программы конвертирования файлов формата PostScript Ghostscript, позволяющая нарушителю получить доступ к файловой системе

Описание уязвимости Уязвимость процедуры .pdf_hook_DSC_Creator программы конвертирования файлов формата PostScript Ghostscript связана с недостатками разграничения доступа. Эксплуатация уязвимости может позволить нарушителю получить доступ к файловой системе в обход ограничений, наложенных –dSAFER, с помощью специально созданного файла PostScript
Вендор Red Hat Inc., Canonical Ltd., Сообщество свободного программного обеспечения, ООО «РусБИТех-Астра», Artifex Software Inc.
Наименование ПО Red Hat Enterprise Linux , Ubuntu , Debian GNU/Linux , Astra Linux (запись в едином реестре российских программ №369), Ghostscript
Версия ПО
  • 5 (Red Hat Enterprise Linux)
  • 6 (Red Hat Enterprise Linux)
  • 7 (Red Hat Enterprise Linux)
  • 16.04 LTS (Ubuntu)
  • 9 (Debian GNU/Linux)
  • 18.04 LTS (Ubuntu)
  • 1.6 «Смоленск» (Astra Linux)
  • 19.04 (Ubuntu)
  • 8 (Red Hat Enterprise Linux)
  • 8 (Debian GNU/Linux)
  • до 9.28 (Ghostscript)
  • 8.1 «Ленинград» (Astra Linux)
Тип ПО Операционная система, Прикладное ПО информационных систем
Операционные системы и аппаратные платформы
  • Red Hat Inc. Red Hat Enterprise Linux 5
  • Red Hat Inc. Red Hat Enterprise Linux 6
  • Red Hat Inc. Red Hat Enterprise Linux 7
  • Canonical Ltd. Ubuntu 16.04 LTS
  • Сообщество свободного программного обеспечения Debian GNU/Linux 9
  • Canonical Ltd. Ubuntu 18.04 LTS
  • ООО «РусБИТех-Астра» Astra Linux 1.6 «Смоленск» (запись в едином реестре российских программ №369)
  • Canonical Ltd. Ubuntu 19.04
  • Red Hat Inc. Red Hat Enterprise Linux 8
  • Сообщество свободного программного обеспечения Debian GNU/Linux 8
  • Сообщество свободного программного обеспечения Debian GNU/Linux 10
  • ООО «РусБИТех-Астра» Astra Linux 8.1 «Ленинград» (запись в едином реестре российских программ №369)
Тип ошибки Разрешения, привилегии и средства управления доступом
Идентификатор типа ошибки
Класс уязвимости Уязвимость архитектуры
Дата выявления 20.08.2019
Базовый вектор уязвимости
Уровень опасности уязвимости Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 7,2)
Высокий уровень опасности (базовая оценка CVSS 3.0 составляет 7,8)
Возможные меры по устранению уязвимости
Использование рекомендаций:


Для Ghostscript:

http://git.ghostscript.com/?p=ghostpdl.git;a=commitdiff;h=885444fcbe10dc42787ecb76686c8ee4dd33bf33



Для Ubuntu:

https://usn.ubuntu.com/4111-1/



Для Debian GNU/Linux:

https://lists.debian.org/debian-lts-announce/2019/09/msg00007.html



Для программных продуктов Red Hat Inc.:

https://bugzilla.redhat.com/show_bug.cgi?id=1743757

Для Astra Linux:
Обновление программного обеспечения (пакета ghostscript) до 9.26a~dfsg-0+deb9u5 или более поздней версии
Статус уязвимости Подтверждена производителем
Наличие эксплойта Существует в открытом доступе
Способ эксплуатации
  • Нарушение авторизации
Способ устранения Обновление программного обеспечения
Информация об устранении Уязвимость устранена
Ссылки на источники
Идентификаторы других систем описаний уязвимостей
Прочая информация -
Последние изменения